Printago API
POST /v1/integrations/shippo/{integrationId}/sync-orders

Sync Shippo orders

Pull orders from Shippo now. Shippo is also polled on a schedule; this is for an immediate sync or a backfill past the last 30 days.

Requires: integration.manage

Path Parameters

integrationId required
string
The Shippo integration ID

Request Body

How many days back to read (default 30, at most 365)

RequestBody
daysBackoptional
number

Example Request

application/json
{
  "daysBack": 1
}

Response Schema

Response
reconciledrequired
number
skippedrequired
number
totalSeenrequired
number
totalSyncedrequired
number

Example Response

201 OK — application/json
{
  "totalSynced": 1,
  "totalSeen": 1,
  "reconciled": 1,
  "skipped": 1
}